<?php
namespace Incoviba\old\Venta;

use Incoviba\Common\Alias\OldModel as Model;

/**
 *
 * @property int id
 * @property int valor
 * @property date fecha
 * @property float uf
 * @property int abonado
 * @property date fecha_abono
 * @property Pago pago
 *
 */
class Escritura extends Model
{
	public function pago()
	{
		return $this->belongs_to(Pago::class, 'pago')->findOne();
	}

	public function valor(string $tipo = 'pesos')
	{
		return $this->pago()->valor($tipo);
	}
}
?>
